This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 806235 - Unmatched the cpu usage from virt-manager to task manager in the guest.
Unmatched the cpu usage from virt-manager to task manager in the guest.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: virt-mgr-maint
Virtualization Bugs
: Reopened
Depends On:
Blocks: 806238
  Show dependency treegraph
 
Reported: 2012-03-23 05:42 EDT by dyuan
Modified: 2012-09-11 21:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 806238 (view as bug list)
Environment:
Last Closed: 2012-09-11 21:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dyuan 2012-03-23 05:42:43 EDT
Description of problem:
In the guest, the cpu usage is 100% from task manager, but it's around 29% from virt-manager.
It's better to return "no respons" when the guest cpu usage reached 100% but not stay at 29%, or it will be confused for users.

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-10.el6.x86_64
virt-top-1.0.4-3.12.el6.x86_64
python-virtinst-0.600.0-7.el6.noarch
libvirt-0.9.10-6.el6

How reproducible:
always

Steps to Reproduce:
1. boot up a guest, xp-i386
2. open the IE browser, or issue other programme to occupy 100% cpu
3. track the cpu usage from task manager
  
Actual results:
unmatched cpu usage from the tools to the guest task manager.

Expected results:
Presents the true state of guest.

Additional info:
Comment 1 Cole Robinson 2012-04-02 17:38:16 EDT
What CPU usage column, Guest CPU or Host CPU? How many VCPUS does the VM have?
Comment 2 Cole Robinson 2012-06-17 18:00:13 EDT
Closing as INSUFFICIENT_DATA
Comment 3 dyuan 2012-08-14 04:20:41 EDT
Sorry for the late responds.

I have 4 physical cpu in host and 1 virtual cpu in guest, make the cpu usage to 100% in guest then get the 25% cpu usage in "performance -- CPU usage" of "show virtual hardware details", I know that it shows the usage per the whole physical cpus in host. 
But I think it should be different in "Connection Details -- Overview", because I get the cpu usage in "show virtual hardware details" against the single vm but not connection.
Comment 4 Dave Allan 2012-09-11 21:35:18 EDT
I believe this is behavior by design, so I'm closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.